[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# modulus(variant,variant):variant

Implement mod (modulo) operation on variants.

## Declaration

Source position: varianth.inc line 365

`operator operator mod(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the modulo Mod operation is delegated to the variant manager with operation opModulus.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator div(variant, variant): variant |  | Implement div (integer division) operation on variants.